Package org.apache.cxf.workqueue

# Interface AutomaticWorkQueue

All Superinterfaces:
  `Executor`, `WorkQueue`

All Known Implementing Classes:
  `AutomaticWorkQueueImpl`

public interface AutomaticWorkQueue extends WorkQueue

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get's the name of the workqueue
  `boolean`
  `isShutdown()`
  Returns true if this object has been shut down.
  `void`
  `shutdown(boolean processRemainingWorkItems)`
  Initiates an orderly shutdown.

  ### Methods inherited from interface java.util.concurrent.Executor

  `execute`

  ### Methods inherited from interface org.apache.cxf.workqueue.WorkQueue

  `execute, schedule`

- ## Method Details

  - ### getName

    String getName()
    Get's the name of the workqueue
    Returns:
      the name

  - ### shutdown

    void shutdown(boolean processRemainingWorkItems)
    Initiates an orderly shutdown. If `processRemainingWorkItems` is true, waits for all active items to finish execution before returning, otherwise returns immediately after removing all non active items from the queue.
    Parameters:
      `processRemainingWorkItems` -

  - ### isShutdown

    boolean isShutdown()
    Returns true if this object has been shut down.
    Returns:
      true if this object has been shut down.